FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by voodoo magic.
Your IP: 35.174.62.162

libx264 cbc5ad3e-eec0-430f-943e-3d96122a8081

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/i686/FAIL/libx264,cbc5ad3e-eec0-430f-943e-3d96122a8081.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2024/03/01 21:04:16

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • poldek: error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found
  • error 4
  • poldek: error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found
  • error 5
  • poldek: error: ffms2-2.40-2: req libavcodec.so.60 not found
  • error 6
  • poldek: error: ffms2-2.40-2: req libavcodec.so.60(LIBAVCODEC_60) not found
  • error 7
  • poldek: error: ffms2-2.40-2: req libavformat.so.60 not found
  • error 8
  • poldek: error: ffms2-2.40-2: req libavformat.so.60(LIBAVFORMAT_60) not found
  • error 9
  • poldek: error: ffms2-2.40-2: req libavutil.so.58 not found
  • error 10
  • poldek: error: ffms2-2.40-2: req libavutil.so.58(LIBAVUTIL_58) not found
  • error 11
  • poldek: error: ffms2-2.40-2: req libswresample.so.4 not found
  • error 12
  • poldek: error: ffms2-2.40-2: req libswresample.so.4(LIBSWRESAMPLE_4) not found
  • error 13
  • poldek: error: ffms2-2.40-2: req libswscale.so.7 not found
  • error 14
  • poldek: error: ffms2-2.40-2: req libswscale.so.7(LIBSWSCALE_7) not found
  • error 15
  • poldek: error: 12 unresolved dependencies
  • error 16
  • poldek: error: Failed dependencies:
  • error 17
  • error: ffmpeg-libs: no such package
  • error 18
  • rpm: error: Failed build dependencies:
  • error 19
  • error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found
  • error 20
  • error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found
  • error 21
  • error: 2 unresolved dependencies
  • error 22
  • error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found
  • error 23
  • error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found
  • error 24
  • error: ffms2-2.40-2: req libavcodec.so.60 not found
  • error 25
  • error: ffms2-2.40-2: req libavcodec.so.60(LIBAVCODEC_60) not found
  • error 26
  • error: ffms2-2.40-2: req libavformat.so.60 not found
  • error 27
  • error: ffms2-2.40-2: req libavformat.so.60(LIBAVFORMAT_60) not found
  • error 28
  • error: ffms2-2.40-2: req libavutil.so.58 not found
  • error 29
  • error: ffms2-2.40-2: req libavutil.so.58(LIBAVUTIL_58) not found
  • error 30
  • error: ffms2-2.40-2: req libswresample.so.4 not found
  • error 31
  • error: ffms2-2.40-2: req libswresample.so.4(LIBSWRESAMPLE_4) not found
  • error 32
  • error: ffms2-2.40-2: req libswscale.so.7 not found
  • error 33
  • error: ffms2-2.40-2: req libswscale.so.7(LIBSWSCALE_7) not found
  • error 34
  • error: 12 unresolved dependencies
  • error 35
  • error: BR installation failed

Content:

request from: qboosh
checking if we should skip the build
started at: Fri Mar  1 21:04:01 2024
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/cbc5ad3e-eec0-430f-943e-3d96122a8081/libx264-0.164-0.20240220.1.src.rpm
fetched 853144 bytes, 2080.7 K/s
installing srpm: libx264-0.164-0.20240220.1.src.rpm
+ install -d /tmp/B.lwcq5u6v/BUILD /tmp/B.lwcq5u6v/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog libx264-0.164-0.20240220.1.src.rpm
* Fri Mar 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libx264.git;a=log;h=master
* Wed Feb 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 03f2214
- updated to latest version (last change 20240219; API 164); use API-based versioning, following .pc file * Sat Nov 04 2023 Jan Rękorajski <baggins@pld-linux.org> c8ddc01
- rediff patches, rel 2 * Wed Dec 01 2021 Jan Palus <atler@pld-linux.org> 4bc51f1
- enable asm on aarch64 * Wed Dec 01 2021 Jan Palus <atler@pld-linux.org> 019accb
- nasm required by x86 only * Sun Mar 15 2020 Jakub Bogusz <qboosh@pld-linux.org> e391f7c
- updated to 20191217 snapshot - lsmash is preferred over gpac now * Fri Jan 11 2019 Jan Palus <atler@pld-linux.org> e3dd7f1
- up to 20190110 snap (new soname) * Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 341b5ae
- rebuild with ffmpeg 4.0 - release 8 (by relup.sh) * Thu Mar 31 2016 Jan Rękorajski <baggins@pld-linux.org> a63308f
- fix building with ffmpeg 3 - rel 7 * Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> cb93607
- apply x32 patch - rel 6 * Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> a1e7167
- rel 5 * Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> b841a03
- fix building on x32, no asm here * Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> f60d96b
- x32 rebuild - release 4 (by relup.sh) * Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> c010e22
- add yasm bcond * Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 9154b04
- correct yasm BR * Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 460a5db
- BR yasm on x32 * Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26bbe68
- release 3 (by relup.sh) * Thu Sep 11 2014 Jan Rękorajski <baggins@pld-linux.org> 9280e3c
- rel 2 * Mon Aug 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 46529d0
- up to 20140824 * Sat Mar 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 748e513
- up to 20140328 * Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> bd15fec
- new soname + rpm -Uhv --nodeps --define '_topdir /tmp/B.lwcq5u6v' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' libx264-0.164-0.20240220.1.src.rpm Updating / installing... libx264-0.164-0.20240220.1 ######################################## + rm -f libx264-0.164-0.20240220.1.src.rpm + install -m 700 -d /tmp/B.lwcq5u6v/BUILD/tmp + TMPDIR=/tmp/B.lwcq5u6v/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.lwcq5u6v' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux --define 'prep exit 0' /tmp/B.lwcq5u6v/libx264.spec warning: Could not canonicalize hostname: nereid Building target platforms: i686-pld-linux Building for target i686-pld-linux RPM build warnings: Could not canonicalize hostname: nereid checking BuildConflict-ing packages rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: ffmpeg-devel >= 0.7.1 is needed by libx264-0.164-0.20240220.1.i686 rpm: ffms2-devel >= 2.21 is needed by libx264-0.164-0.20240220.1.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid no BuildConflicts found checking BR rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: ffmpeg-devel >= 0.7.1 is needed by libx264-0.164-0.20240220.1.i686 rpm: ffms2-devel >= 2.21 is needed by libx264-0.164-0.20240220.1.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 35091 packages read poldek: Removed 4104 duplicate packages from available set poldek: Processing dependencies... poldek: ffmpeg-devel-6.0-1 marks codec2-devel-1.2.0-1 (cap codec2-devel) poldek: codec2-devel-1.2.0-1 marks codec2-1.2.0-1 (cap codec2 = 1.2.0-1) poldek: ffmpeg-devel-6.0-1 marks ffmpeg-libs-6.0-1 (cap ffmpeg-libs = 6.0-1) poldek: ffmpeg-libs-6.0-1 marks libchromaprint-1.5.1-2 (cap libchromaprint.so.1) poldek: error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found poldek: ffmpeg-libs-6.0-1 marks shaderc-2023.8-1 (cap libshaderc.so.1) poldek: error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found poldek: ffmpeg-devel-6.0-1 marks libchromaprint-devel-1.5.1-2 (cap libchromaprint-devel) poldek: ffmpeg-devel-6.0-1 marks shaderc-devel-2023.8-1 (cap shaderc-devel >= 2019.1) poldek: ffms2-devel-2.40-2 marks ffms2-2.40-2 (cap ffms2 = 2.40-2) poldek: error: ffms2-2.40-2: req libavcodec.so.60 not found poldek: error: ffms2-2.40-2: req libavcodec.so.60(LIBAVCODEC_60) not found poldek: error: ffms2-2.40-2: req libavformat.so.60 not found poldek: error: ffms2-2.40-2: req libavformat.so.60(LIBAVFORMAT_60) not found poldek: error: ffms2-2.40-2: req libavutil.so.58 not found poldek: error: ffms2-2.40-2: req libavutil.so.58(LIBAVUTIL_58) not found poldek: error: ffms2-2.40-2: req libswresample.so.4 not found poldek: error: ffms2-2.40-2: req libswresample.so.4(LIBSWRESAMPLE_4) not found poldek: error: ffms2-2.40-2: req libswscale.so.7 not found poldek: error: ffms2-2.40-2: req libswscale.so.7(LIBSWSCALE_7) not found poldek: There are 10 packages to install (8 marked by dependencies): poldek: A codec2-1.2.0-1 codec2-devel-1.2.0-1 ffmpeg-devel-6.0-1 poldek: A ffmpeg-libs-6.0-1 ffms2-2.40-2 ffms2-devel-2.40-2 poldek: A libchromaprint-1.5.1-2 libchromaprint-devel-1.5.1-2 shaderc-2023.8-1 poldek: A shaderc-devel-2023.8-1 poldek: This operation will use 23.2MB of disk space. poldek: Need to get 7.8MB of archives (7.1MB to download). poldek: poldek: error: 12 unresolved dependencies poldek: codec2-1.2.0-1.i686.rpm: digests OK poldek: codec2-devel-1.2.0-1.i686.rpm: digests OK poldek: shaderc-2023.8-1.i686.rpm: digests OK poldek: shaderc-devel-2023.8-1.i686.rpm: digests OK poldek: Retrieving [1/6] th::libchromaprint-1.5.1-2.i686.rpm.......................................done poldek: Retrieving [2/6] th::ffmpeg-libs-6.0-1.i686.rpm............................................done poldek: Retrieving [3/6] th::libchromaprint-devel-1.5.1-2.i686.rpm.................................done poldek: Retrieving [4/6] th::ffmpeg-devel-6.0-1.i686.rpm...........................................done poldek: Retrieving [5/6] th::ffms2-2.40-2.i686.rpm.................................................done poldek: Retrieving [6/6] th::ffms2-devel-2.40-2.i686.rpm...........................................done poldek: libchromaprint-1.5.1-2.i686.rpm: digests OK poldek: ffmpeg-libs-6.0-1.i686.rpm: digests OK poldek: libchromaprint-devel-1.5.1-2.i686.rpm: digests OK poldek: ffmpeg-devel-6.0-1.i686.rpm: digests OK poldek: ffms2-2.40-2.i686.rpm: digests OK poldek: ffms2-devel-2.40-2.i686.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ftp1.pld-linux.org.dists.th.PLD.i686.RPMS/libchromaprint-1.5.1-2.i686.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: error: Failed dependencies: poldek: libcodec2.so.1.0 is needed by ffmpeg-libs-6.0-1.i686 poldek: libvmaf.so.1 is needed by ffmpeg-libs-6.0-1.i686 uninstalling conflicting packages removing ffmpeg-libs error: ffmpeg-libs: no such package package ffmpeg-libs removal failed checking BR rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: ffmpeg-devel >= 0.7.1 is needed by libx264-0.164-0.20240220.1.i686 rpm: ffms2-devel >= 2.21 is needed by libx264-0.164-0.20240220.1.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid installing BR: ffmpeg\-devel ffms2\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade ffmpeg-devel ffms2-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 35091 packages read Removed 4104 duplicate packages from available set Processing dependencies... ffmpeg-devel-6.0-1 marks codec2-devel-1.2.0-1 (cap codec2-devel) codec2-devel-1.2.0-1 marks codec2-1.2.0-1 (cap codec2 = 1.2.0-1) ffmpeg-devel-6.0-1 marks ffmpeg-libs-6.0-1 (cap ffmpeg-libs = 6.0-1) ffmpeg-libs-6.0-1 marks libchromaprint-1.5.1-2 (cap libchromaprint.so.1) error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found ffmpeg-libs-6.0-1 marks shaderc-2023.8-1 (cap libshaderc.so.1) error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found ffmpeg-devel-6.0-1 marks libchromaprint-devel-1.5.1-2 (cap libchromaprint-devel) ffmpeg-devel-6.0-1 marks shaderc-devel-2023.8-1 (cap shaderc-devel >= 2019.1) There are 8 packages to install (7 marked by dependencies): A codec2-1.2.0-1 codec2-devel-1.2.0-1 ffmpeg-devel-6.0-1 A ffmpeg-libs-6.0-1 libchromaprint-1.5.1-2 libchromaprint-devel-1.5.1-2 A shaderc-2023.8-1 shaderc-devel-2023.8-1 This operation will use 22.9MB of disk space. ffmpeg-devel-6.0-1.i686.rpm: digests OK ffmpeg-libs-6.0-1.i686.rpm: digests OK libchromaprint-1.5.1-2.i686.rpm: digests OK libchromaprint-devel-1.5.1-2.i686.rpm: digests OK Need to get 7.7MB of archives. error: 2 unresolved dependencies Installing set #2 Processing dependencies... ffms2-devel-2.40-2 marks ffmpeg-devel-6.0-1 (cap ffmpeg-devel >= 1.1) ffmpeg-devel-6.0-1 marks codec2-devel-1.2.0-1 (cap codec2-devel) codec2-devel-1.2.0-1 marks codec2-1.2.0-1 (cap codec2 = 1.2.0-1) ffmpeg-devel-6.0-1 marks ffmpeg-libs-6.0-1 (cap ffmpeg-libs = 6.0-1) ffmpeg-libs-6.0-1 marks libchromaprint-1.5.1-2 (cap libchromaprint.so.1) error: ffmpeg-libs-6.0-1: req libcodec2.so.1.0 not found ffmpeg-libs-6.0-1 marks shaderc-2023.8-1 (cap libshaderc.so.1) error: ffmpeg-libs-6.0-1: req libvmaf.so.1 not found ffmpeg-devel-6.0-1 marks libchromaprint-devel-1.5.1-2 (cap libchromaprint-devel) ffmpeg-devel-6.0-1 marks shaderc-devel-2023.8-1 (cap shaderc-devel >= 2019.1) ffms2-devel-2.40-2 marks ffms2-2.40-2 (cap ffms2 = 2.40-2) error: ffms2-2.40-2: req libavcodec.so.60 not found error: ffms2-2.40-2: req libavcodec.so.60(LIBAVCODEC_60) not found error: ffms2-2.40-2: req libavformat.so.60 not found error: ffms2-2.40-2: req libavformat.so.60(LIBAVFORMAT_60) not found error: ffms2-2.40-2: req libavutil.so.58 not found error: ffms2-2.40-2: req libavutil.so.58(LIBAVUTIL_58) not found error: ffms2-2.40-2: req libswresample.so.4 not found error: ffms2-2.40-2: req libswresample.so.4(LIBSWRESAMPLE_4) not found error: ffms2-2.40-2: req libswscale.so.7 not found error: ffms2-2.40-2: req libswscale.so.7(LIBSWSCALE_7) not found There are 10 packages to install (9 marked by dependencies): A codec2-1.2.0-1 codec2-devel-1.2.0-1 ffmpeg-devel-6.0-1 A ffmpeg-libs-6.0-1 ffms2-2.40-2 ffms2-devel-2.40-2 A libchromaprint-1.5.1-2 libchromaprint-devel-1.5.1-2 shaderc-2023.8-1 A shaderc-devel-2023.8-1 This operation will use 23.2MB of disk space. ffms2-devel-2.40-2.i686.rpm: digests OK ffmpeg-devel-6.0-1.i686.rpm: digests OK ffmpeg-libs-6.0-1.i686.rpm: digests OK libchromaprint-1.5.1-2.i686.rpm: digests OK libchromaprint-devel-1.5.1-2.i686.rpm: digests OK ffms2-2.40-2.i686.rpm: digests OK Need to get 7.8MB of archives. error: 12 unresolved dependencies error: BR installation failed + chmod -R u+rwX /tmp/B.lwcq5u6v/BUILD + rm -rf /tmp/B.lwcq5u6v/tmp /tmp/B.lwcq5u6v/BUILD + rm -rf /tmp/B.lwcq5u6v Begin-PLD-Builder-Info Build-Time: user:7.65s sys:2.56s real:15.57s (faults io:0 non-io:387787) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]